<?php

namespace Schaffen\ProductionOrder\ProductionOrder\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Schaffen\Core\Traits\Audit;

class CompositeProductQuantity extends Model
{
  use Audit;
  use SoftDeletes;

  protected $primaryKey = "pcpq_codigo";

  protected $table = "produto.produto_composicao_produto_quantidade";
  protected $fillable = [
    "pcpq_codigo",
    "pcpq_fk_pve_codigo",
    "pcpq_qtde_final_receita",
    "created_at",
    "created_by"
  ];

  const CREATED_AT = 'created_at';
  const CREATED_BY = 'created_by';
  const UPDATED_AT = 'updated_at';
  const UPDATED_BY = 'updated_by';
  const DELETED_AT = 'deleted_at';
  const DELETED_BY = 'deleted_by';
}
